Index: admin/search.php
===================================================================
--- admin/search.php	(revision 2566)
+++ admin/search.php	(revision 2720)
@@ -70,5 +70,5 @@
 
 if ($qtype == 'p') {
-	$posts_actions_page = new dcPostsActionsPage($core,'search.php',array('q'=>$q,'qtype'=>$qtype));
+	$posts_actions_page = new dcPostsActionsPage($core,$core->adminurl->get("admin.search"),array('q'=>$q,'qtype'=>$qtype));
 
 	if ($posts_actions_page->process()) {
@@ -76,5 +76,5 @@
 	}
 } else {
-	$comments_actions_page = new dcCommentsActionsPage($core,'search.php',array('q'=>$q,'qtype'=>$qtype));
+	$comments_actions_page = new dcCommentsActionsPage($core,$core->adminurl->get("admin.search"),array('q'=>$q,'qtype'=>$qtype));
 
 	if ($comments_actions_page->process()) {
@@ -92,5 +92,5 @@
 
 echo
-'<form action="search.php" method="get">'.
+'<form action="'.$core->adminurl->get("admin.search").'" method="get">'.
 '<div class="fieldset"><h3>'.__('Search options').'</h3>'.
 '<p><label for="q">'.__('Query:').' </label>'.form::field('q',30,255,html::escapeHTML($q)).'</p>'.
@@ -116,5 +116,5 @@
 
 		$post_list->display($page,$nb_per_page,
-		'<form action="search.php" method="post" id="form-entries">'.
+		'<form action="'.$core->adminurl->get("admin.search").'" method="post" id="form-entries">'.
 
 		'%s'.
@@ -144,5 +144,5 @@
 
 		$comment_list->display($page,$nb_per_page,
-		'<form action="search.php" method="post" id="form-comments">'.
+		'<form action="'.$core->adminurl->get("admin.search").'" method="post" id="form-comments">'.
 
 		'%s'.
Index: admin/user.php
===================================================================
--- admin/user.php	(revision 2566)
+++ admin/user.php	(revision 2729)
@@ -131,5 +131,5 @@
 
 			dcPage::addSuccessNotice(__('User has been successfully updated.'));
-			http::redirect('user.php?id='.$new_id);
+			http::redirect($core->adminurl->get("admin.user",array('id' => $new_id)));
 		}
 		# Add user
@@ -150,7 +150,7 @@
 			dcPage::addSuccessNotice(__('User has been successfully created.'));
 			if (!empty($_POST['saveplus'])) {
-				http::redirect('user.php');
+				http::redirect($core->adminurl->get("admin.user"));
 			} else {
-				http::redirect('user.php?id='.$new_id);
+				http::redirect($core->adminurl->get("admin.user",array('id' => $new_id)));
 			}
 		}
@@ -187,5 +187,5 @@
 		array(
 			__('System') => '',
-			__('Users') => 'users.php',
+			__('Users') => $core->adminurl->get("admin.users"),
 			$page_title => ''
 		))
@@ -201,5 +201,5 @@
 
 echo
-'<form action="user.php" method="post" id="user-form">'.
+'<form action="'.$core->adminurl->get("admin.user").'" method="post" id="user-form">'.
 '<div class="two-cols">'.
 
@@ -324,7 +324,7 @@
 	{
 		echo
-		'<form action="users_actions.php" method="post">'.
+		'<form action="'.$core->adminurl->get("admin.user.actions").'" method="post">'.
 		'<p><input type="submit" value="'.__('Add new permissions').'" />'.
-		form::hidden(array('redir'),'user.php?id='.$user_id).
+		form::hidden(array('redir'),$core->adminurl->get("admin.user",array('id' => $user_id))).
 		form::hidden(array('action'),'blogs').
 		form::hidden(array('users[]'),$user_id).
@@ -347,6 +347,7 @@
 				{
 					echo
-					'<form action="users_actions.php" method="post" class="perm-block">'.
-					'<p class="blog-perm">'.__('Blog:').' <a href="blog.php?id='.html::escapeHTML($k).'">'.
+					'<form action="'.$core->adminurl->get("admin.user.actions").'" method="post" class="perm-block">'.
+					'<p class="blog-perm">'.__('Blog:').' <a href="'.
+					$core->adminurl->get("admin.blog",array('id' => html::escapeHTML($k))).'">'.
 					html::escapeHTML($v['name']).'</a> ('.html::escapeHTML($k).')</p>';
 
@@ -360,5 +361,5 @@
 					'</ul>'.
 					'<p class="add-perm"><input type="submit" class="reset" value="'.__('Change permissions').'" />'.
-					form::hidden(array('redir'),'user.php?id='.$user_id).
+					form::hidden(array('redir'),$core->adminurl->get("admin.user",array('id' => $user_id))).
 					form::hidden(array('action'),'perms').
 					form::hidden(array('users[]'),$user_id).
Index: admin/users.php
===================================================================
--- admin/users.php	(revision 2566)
+++ admin/users.php	(revision 2720)
@@ -123,6 +123,6 @@
 
 	echo
-	'<p class="top-add"><strong><a class="button add" href="user.php">'.__('New user').'</a></strong></p>'.
-	'<form action="users.php" method="get" id="filters-form">'.
+	'<p class="top-add"><strong><a class="button add" href="'.$core->adminurl->get("admin.user").'">'.__('New user').'</a></strong></p>'.
+	'<form action="'.$core->adminurl->get("admin.users").'" method="get" id="filters-form">'.
 	'<h3 class="out-of-screen-if-js">'.$form_filter_title.'</h3>'.
 
@@ -151,5 +151,5 @@
 	# Show users
 	$user_list->display($page,$nb_per_page,
-	'<form action="users_actions.php" method="post" id="form-users">'.
+	'<form action="'.$core->adminurl->get("admin.user.actions").'" method="post" id="form-users">'.
 
 	'%s'.
Index: admin/users_actions.php
===================================================================
--- admin/users_actions.php	(revision 2566)
+++ admin/users_actions.php	(revision 2720)
@@ -49,10 +49,11 @@
 	else
 	{
-		$redir =
-		'users.php?q='.$_POST['q'].
-		'&sortby='.$_POST['sortby'].
-		'&order='.$_POST['order'].
-		'&page='.$_POST['page'].
-		'&nb='.$_POST['nb'];
+		$redir = $core->adminurl->get("admin.users", array(
+			'q'      => $_POST['q'],
+			'sortby' => $_POST['sortby'],
+			'order'  => $_POST['order'],
+			'page'   => $_POST['page'],
+			'nb'     => $_POST['nb']
+		));
 	}
 
@@ -137,5 +138,5 @@
 		array(
 			__('System') => '',
-			__('Users') => 'users.php',
+			__('Users') => $core->adminurl->get("admin.users"),
 			__('Permissions') => ''
 		));
@@ -144,5 +145,5 @@
 		array(
 			__('System') => '',
-			__('Users') => 'users.php',
+			__('Users') => $core->adminurl->get("admin.users"),
 			__('Actions') => ''
 		));
@@ -195,5 +196,5 @@
 
 	foreach ($users as $u) {
-		$user_list[] = '<a href="user.php?id='.$u.'">'.$u.'</a>';
+		$user_list[] = '<a href="'.$core->adminurl->get("admin.user",array('id' => $u)).'">'.$u.'</a>';
 	}
 
@@ -211,5 +212,5 @@
 	{
 		echo
-		'<form action="users_actions.php" method="post" id="form-blogs">'.
+		'<form action="'.$core->adminurl->get("admin.user.actions").'" method="post" id="form-blogs">'.
 		'<div class="table-outer clear">'.
 		'<table><tr>'.
@@ -256,5 +257,5 @@
 
 	foreach ($users as $u) {
-		$user_list[] = '<a href="user.php?id='.$u.'">'.$u.'</a>';
+		$user_list[] = '<a href="'.$core->adminurl->get("admin.user",array('id' => $u)).'">'.$u.'</a>';
 	}
 
@@ -264,9 +265,9 @@
 		implode(', ',$user_list)
 	).'</p>'.
-	'<form id="permissions-form" action="users_actions.php" method="post">';
+	'<form id="permissions-form" action="'.$core->adminurl->get("admin.user.actions").'" method="post">';
 
 	foreach ($blogs as $b)
 	{
-		echo '<h3>'.('Blog:').' <a href="blog.php?id='.html::escapeHTML($b).'">'.html::escapeHTML($b).'</a>'.
+		echo '<h3>'.('Blog:').' <a href="'.$core->adminurl->get("admin.blog",array('id' => html::escapeHTML($b))).'">'.html::escapeHTML($b).'</a>'.
 		form::hidden(array('blogs[]'),$b).'</h3>';
 		$unknown_perms = $user_perm;
Index: admin/xmlrpc.php
===================================================================
--- admin/xmlrpc.php	(revision 2730)
+++ admin/xmlrpc.php	(revision 2566)
@@ -27,7 +27,4 @@
 }
 
-# Avoid plugins warnings, set a default blog
-$core->setBlog($blog_id);
-
 # Loading plugins
 $core->plugins->loadModules(DC_PLUGINS_ROOT);
